<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Decl. Variable Use</TITLE>
<link href="builder_37.html" rel=Next>
<link href="builder_35.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_35.html">previous</A>, <A HREF="builder_37.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC67" HREF="builder_toc.html#TOC67">Using Variables</A></H2>
<P>
<A NAME="IDX613"></A>

</P>
<P>
A block for an existing variable can be created using the <CODE>sym</CODE>
function or a block constructor.
These functions are used to create accesses to structure, array and
pointer variables. Simple scalar variables are accessed by name (of the
block defining that variable).

</P>
<P>
<A NAME="IDX614"></A>
<A NAME="IDX615"></A>

<PRE>
     block(sym_node *)
     block(struct_access *)
<A NAME="IDX616"></A><A NAME="IDX617"></A>     block sym(sym_node * s)  
     block sym(type_node * tp)
<A NAME="IDX618"></A><A NAME="IDX619"></A><A NAME="IDX620"></A>
     block &#38; ARRAY(block &#38;, 
                   block &#38; ex1 = *NOOP, block &#38; ex2 = *NOOP, 
                   block &#38; ex3 = *NOOP, block &#38; ex4 = *NOOP, 
                   block &#38; ex5 = *NOOP, block &#38; ex6 = *NOOP)
<A NAME="IDX621"></A>
     block &#38; operator[](block &#38;)
     block &#38; operator[](block *)
     block &#38; operator[](int)
<A NAME="IDX622"></A><A NAME="IDX623"></A><A NAME="IDX624"></A><A NAME="IDX625"></A>
     block &#38; field(char *)
     block &#38; field(int i)
<A NAME="IDX626"></A><A NAME="IDX627"></A>     block &#38; addr()
     block &#38; dref()
<A NAME="IDX628"></A><A NAME="IDX629"></A>
</PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_35.html">previous</A>, <A HREF="builder_37.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
